Package org.apache.axiom.soap

## Interface SOAPFault

- All Superinterfaces:
    `OMContainer`, `OMElement`, `OMInformationItem`, `OMNamedInformationItem`, `OMNode`, `OMSerializable`

      public interface SOAPFault
      extends OMElement

  An element in the `SOAPBody` object that contains error and/or status information. This information may relate to errors in the `OMMessage` object or to problems that are not related to the content in the message itself. Problems not related to the message itself are generally errors in processing, such as the inability to communicate with an upstream server.

  The `SOAPFault` interface provides methods for retrieving the information contained in a `SOAPFault` object and for setting the fault code, the fault actor, and a string describing the fault. B fault code is one of the codes defined in the SOAP 1.1 specification that describe the fault. An actor is an intermediate recipient to whom a message was routed. The message path may include one or more actors, or, if no actors are specified, the message goes only to the default actor, which is the final intended recipient.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.axiom.om.OMNode

      `CDATA_SECTION_NODE, COMMENT_NODE, DTD_NODE, ELEMENT_NODE, ENTITY_REFERENCE_NODE, PI_NODE, SPACE_NODE, TEXT_NODE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SOAPFaultCode` | `getCode()` |
    `SOAPFaultDetail` | `getDetail()` |
    `Exception` | `getException()` | Returns Exception if there is one in the SOAP fault.
    `SOAPFaultNode` | `getNode()` | Get the SOAP fault node.
    `SOAPFaultReason` | `getReason()` |
    `SOAPFaultRole` | `getRole()` |
    `void` | `setCode​(SOAPFaultCode soapFaultCode)` | SOAPFaultCode is a mandatory item in a Fault, in SOAP 1.2 specification
    `void` | `setDetail​(SOAPFaultDetail detail)` | SOAPFaultRoleImpl is an optional item in a Fault, in SOAP 1.2 specification
    `void` | `setException​(Exception e)` |
    `void` | `setNode​(SOAPFaultNode node)` | SOAPFaultNode is an optional item in a Fault, in SOAP 1.2 specification
    `void` | `setReason​(SOAPFaultReason reason)` | SOAPFaultReason is a mandatory item in a Fault, in SOAP 1.2 specification
    `void` | `setRole​(SOAPFaultRole role)` | SOAPFaultRoleImpl is an optional item in a Fault, in SOAP 1.2 specification

    - ### Methods inherited from interface org.apache.axiom.om.OMContainer

      `addChild, getBuilder, getChildren, getChildrenWithLocalName, getChildrenWithName, getChildrenWithNamespaceURI, getFirstChildWithName, getFirstOMChild, getSAXResult, getSAXSource, getXMLStreamReader, getXMLStreamReader, getXMLStreamReader, getXMLStreamReaderWithoutCaching, getXOPEncodedStreamReader, removeChildren, serialize, serialize, serialize, serialize, serialize, serialize, serialize, serialize, serializeAndConsume, serializeAndConsume, serializeAndConsume, serializeAndConsume`

    - ### Methods inherited from interface org.apache.axiom.om.OMElement

      `addAttribute, addAttribute, cloneOMElement, declareDefaultNamespace, declareNamespace, declareNamespace, findNamespace, findNamespaceURI, getAllAttributes, getAllDeclaredNamespaces, getAttribute, getAttributeValue, getChildElements, getDefaultNamespace, getDescendants, getFirstElement, getLineNumber, getNamespaceContext, getNamespacesInScope, getText, getTextAsQName, getTextAsStream, removeAttribute, resolveQName, setLineNumber, setNamespace, setNamespaceWithNoFindInCurrentScope, setText, setText, toString, toStringWithConsume, undeclarePrefix, writeTextTo`

    - ### Methods inherited from interface org.apache.axiom.om.OMInformationItem

      `clone, getOMFactory`

    - ### Methods inherited from interface org.apache.axiom.om.OMNamedInformationItem

      `getLocalName, getNamespace, getNamespaceURI, getPrefix, getQName, hasName, setLocalName, setNamespace`

    - ### Methods inherited from interface org.apache.axiom.om.OMNode

      `buildWithAttachments, detach, discard, getNextOMSibling, getParent, getPreviousOMSibling, getType, insertSiblingAfter, insertSiblingBefore`

    - ### Methods inherited from interface org.apache.axiom.om.OMSerializable

      `build, close, isComplete, serialize, serialize, serializeAndConsume`

- - ### Method Detail

    - #### setCode

          void setCode​(SOAPFaultCode soapFaultCode)
                throws SOAPProcessingException

      SOAPFaultCode is a mandatory item in a Fault, in SOAP 1.2 specification
      Parameters:
        `soapFaultCode` -
      Throws:
        `SOAPProcessingException`

    - #### getCode

          SOAPFaultCode getCode()

    - #### setReason

          void setReason​(SOAPFaultReason reason)
                  throws SOAPProcessingException

      SOAPFaultReason is a mandatory item in a Fault, in SOAP 1.2 specification
      Parameters:
        `reason` -
      Throws:
        `SOAPProcessingException`

    - #### getReason

          SOAPFaultReason getReason()

    - #### setNode

          void setNode​(SOAPFaultNode node)
                throws SOAPProcessingException

      SOAPFaultNode is an optional item in a Fault, in SOAP 1.2 specification
      Parameters:
        `node` -
      Throws:
        `SOAPProcessingException`

    - #### getNode

          SOAPFaultNode getNode()

      Get the SOAP fault node. The fault node provides information about which SOAP node on the SOAP message path caused the fault to happen. This is only supported by SOAP 1.2.
      Returns:
        the fault node or `null` if there is no fault node or if fault nodes are not supported by the SOAP version

    - #### setRole

          void setRole​(SOAPFaultRole role)
                throws SOAPProcessingException

      SOAPFaultRoleImpl is an optional item in a Fault, in SOAP 1.2 specification
      Parameters:
        `role` -
      Throws:
        `SOAPProcessingException`

    - #### getRole

          SOAPFaultRole getRole()

    - #### setDetail

          void setDetail​(SOAPFaultDetail detail)
                  throws SOAPProcessingException

      SOAPFaultRoleImpl is an optional item in a Fault, in SOAP 1.2 specification
      Parameters:
        `detail` -
      Throws:
        `SOAPProcessingException`

    - #### getDetail

          SOAPFaultDetail getDetail()

    - #### getException

          Exception getException()
                          throws OMException

      Returns Exception if there is one in the SOAP fault.

      If the exception is like; <SOAPFault> <Detail> <Exception> stack trace goes here </Exception> </Detail> </SOAPFault>

      Returns:
        Returns Exception.
      Throws:
        `OMException`

    - #### setException

          void setException​(Exception e)
                     throws OMException

      Throws:
        `OMException`